Enabling TLS 1.2

TLS 1.2 protocols must be enabled for the following MHI products to be able to use certificate licensing and to communicate with the Certificate License Manager:

  • PSCAD 4.6.3 Update 4
  • PSCAD 4.6.3 Update 5
  • PSCAD 5.0.0 and better
  • PRSIM 1.0.0
  • PSCAD Initializer 1.0.0

Enabling TLS 1.2 can be done through your facility's Network Team or by using our newest Fortran Medic utility.

However, for some customers, even though TLS 1.2 is enabled in one of the above manners, their machine reverts back to using TLS 1.0 with MHI certificate licensing, and licensing therefore fails.

If this issue occurs on your machine, you can simply create two registry keys to enable TLS 1.2 as per the attached instructions, and your MHI product should be able to be licensed.

Documents

Back